Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ProfileManager.KeySet

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.KeySet

Enclosing class:
  ProfileManager

public static final class ProfileManager.KeySet extends Object

## Constructor Summary

Constructors
Constructor
Description
`KeySet(String nodeName, List<String> keys)`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getKeys()`
`String`
`getNodeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeySet

public KeySet(String nodeName, List<String> keys)

## Method Details

### getNodeName

public String getNodeName()

### getKeys

public List<String> getKeys()